Updating Blackfire

Installing and updating Blackfire should be a quick process. This document will guide you through the steps.

For a better experience, you should or .

Tell us what you want to do:

I want to Blackfire
on a machine
which uses
for the language.

The v2 version is the one you want to use. If you have automation based on the previous version, select v1, which is still supported until the Aug, 31th 2021.

If you are upgrading from v1, please read the upgrade guide.

Latest Versions

For your information, here are the latest versions of each Blackfire component:

  Latest Version Installed Version
Unified Agent and Client v2 2.4.3
blackfire version
Agent v1 1.49.3
blackfire-agent -v
Client v1 1.49.3
blackfire version
PHP Probe 1.64.0
php --ri blackfire
Chrome/Firefox Extension 1.24.1

Update Packages

  1. Update the Debian repository:
    sudo apt update
  2. Update the blackfire package:
    sudo apt install --only-upgrade blackfire
  3. Update the PHP Probe:
    sudo blackfire php:install

    If you installed the PHP Probe via the package manager, head to the step-by-step guide to upgrade.

Restart Services

  1. Restart the agent service:
    sudo systemctl restart blackfire-agent
  2. Restart your web server or PHP-FPM and check that there are no errors in the logs. To debug problems, you can change the log level and the log file in the Probe configuration.